import java.io.File;
import java.io.FileNotFoundException;
import java.util.Map;
import java.util.Scanner;
import java.util.TreeMap;

/*
 * Lauren Wang & James White
 * Ling 575, Professor Tjalve, Spring 2012
 * makes a reference of all the conversions, read from files in directory
 */
public class Conversions
{
    final public Map<String, String> silentE;
    final public Map<String, String> twoSyllableTense;
    final public Map<String, String> twoSyllableLax;
    final public Map<String, String> general;
    final public Map<String, String> consonants;

    final public Map<String, String> abbreviations;

    public Conversions(File directory) throws FileNotFoundException
    {
        silentE = readMapping(directory, "silentE.txt");
        twoSyllableTense = readMapping(directory, "twoSyllableTense.txt");
        twoSyllableLax = readMapping(directory, "twoSyllableLax.txt");
        general = readMapping(directory, "general.txt");
        consonants = readMapping(directory, "consonants.txt");

        abbreviations = readMapping(directory, "abbreviations.txt");
    }

    private Map<String, String> readMapping(File directory, String fileName) throws FileNotFoundException
    {
        Map<String, String> current = new TreeMap<String, String>();
        Scanner readMe = new Scanner(new File(directory, fileName));
        readMe.useDelimiter("[\t\n]");
        while (readMe.hasNext()) {
            current.put(readMe.next(), readMe.next());
        }

        return current;
    }
}
